Bug 727473 - Review Request: mingw-dbus-glib - MinGW Windows GLib bindings for D-Bus
Summary: Review Request: mingw-dbus-glib - MinGW Windows GLib bindings for D-Bus
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 08:50 UTC by Kalev Lember
Modified: 2012-01-27 19:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-27 19:01:34 UTC


Attachments (Terms of Use)
Don't give a fatal error when the abstract socket checks can't be executed (because of cross-compiling) (2.00 KB, patch)
2011-11-30 21:08 UTC, Erik van Pienbroek
no flags Details | Diff

Description Kalev Lember 2011-08-02 08:50:24 UTC
Spec URL: http://kalev.fedorapeople.org/mingw-dbus-glib.spec
SRPM URL: http://kalev.fedorapeople.org/mingw-dbus-glib-0.92-1.fc15.src.rpm
Description:
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

This package contains the MinGW Windows cross compiled dbus-glib library.

Comment 1 Kalev Lember 2011-08-02 08:55:41 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3245967

Comment 2 Erik van Pienbroek 2011-11-30 21:08:29 UTC
Created attachment 538817 [details]
Don't give a fatal error when the abstract socket checks can't be executed (because of cross-compiling)

Could you please update to version 0.98 (the latest released version) ?
While you're at it, could you also please add the attached patch? It makes the %{_mingw32_cache} hack which you've applied obsolete, so that can be dropped as well.

The patch is basically a copy of the configure.ac from the dbus package: http://cgit.freedesktop.org/dbus/dbus/tree/configure.ac#n796 (I wasn't able to find the exact commit so quick in git, but as you can see it's the exact same code as used in dbus-glib)

Comment 3 Kalev Lember 2012-01-27 19:01:34 UTC
I no longer need this package. It used to be a required dependency for an app I needed to build for win32, but I have now ported it to use GDBus instead. Closing the ticket.


Note You need to log in before you can comment on or make changes to this bug.